#!/bin/ksh
#
# fullcpm.sh - A fuller emulation of CP/M.
#
# It relies on
#   having appropriate CP/M boot ROM and SDX ROM loaded
#   not using the CP/M emulation built into MEMU
#   Bill Brendlings support for larger amounts of memory
#   Bill Brendlings SDX FDC emulation accessing .mfloppy files.
#

./memu \
-mem-blocks 36 \
-rom4 roms/boot-type07.rom \
-rom5 roms/sdx-type07.rom \
-mon-ignore-init \
-sdx-mfloppy mfloppy/andy_sys.mfloppy \
-sdx-mfloppy2 mfloppy/games.mfloppy \
-mon-win-big -vid-win-big -snd-portaudio \
"$@"
